org.apache.hadoop.mapred.nativetask

## Interface ICombineHandler

-     @InterfaceAudience.Private
      public interface ICombineHandler

  interacts with native side to support Java Combiner

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` close handlers, buffer pullers and pushers
    `void` | `combine()` run combiner
    `long` | `getId()`

- - ### Method Detail

    - #### combine

          void combine()
                throws IOException

      run combiner
      Throws:
        `IOException`

    - #### getId

          long getId()

      Returns:
        id of this handler

    - #### close

          void close()
              throws IOException

      close handlers, buffer pullers and pushers
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.